%PAKCS1.14 swi7 VARIABLESHARING

:-noSingletonWarnings.
:-noRedefineWarnings.
:-noDiscontiguousWarnings.

:-importModule('Maybe').
:-importModule('Prelude').
:-importModule('RedBlackTree').


:-curryModule('Set').

%%%%%%%%%%%% function types %%%%%%%%%%%%%%%%%%%
:-multifile functiontype/6.
:-dynamic functiontype/6.
functiontype('Set.empty',empty,0,'Set.empty',nofix,'TCons'('RedBlackTree.RedBlackTree',[_G1010361])).
functiontype('Set.null',null,0,'Set.null',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G1019273]),'TCons'('Prelude.Bool',[]))).
functiontype('Set.elem',elem,1,'Set.elem',nofix,'FuncType'(_G1028143,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G1028143]),'TCons'('Prelude.Bool',[])))).
functiontype('Set.insert',insert,0,'Set.insert',nofix,'FuncType'(_G1037103,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G1037103]),'TCons'('RedBlackTree.RedBlackTree',[_G1037103])))).
functiontype('Set.delete',delete,0,'Set.delete',nofix,'FuncType'(_G450565,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G450565]),'TCons'('RedBlackTree.RedBlackTree',[_G450565])))).
functiontype('Set.toList',toList,0,'Set.toList',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G459486]),'TCons'([],[_G459486]))).
functiontype('Set.fromList',fromList,0,'Set.fromList',nofix,'FuncType'('TCons'([],[_G468341]),'TCons'('RedBlackTree.RedBlackTree',[_G468341]))).
functiontype('Set.union',union,1,'Set.union',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G477337]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G477337]),'TCons'('RedBlackTree.RedBlackTree',[_G477337])))).
functiontype('Set.intersect',intersect,2,'Set.intersect',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G486429]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G486429]),'TCons'('RedBlackTree.RedBlackTree',[_G486429])))).
functiontype('Set.disjoint',disjoint,2,'Set.disjoint',nofix,'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G495518]),'FuncType'('TCons'('RedBlackTree.RedBlackTree',[_G495518]),'TCons'('Prelude.Bool',[])))).

%%%%%%%%%%%% constructor types %%%%%%%%%%%%%%%%%%%
:-multifile constructortype/7.
:-dynamic constructortype/7.

%%%%%%%%%%%% function definitions %%%%%%%%%%%%%%%%%%%
'Set.empty'(_G516660,_G516661,_G516662):-freeze(_G516661,'blocked_Set.empty'(_G516660,_G516661,_G516662)).
'blocked_Set.empty'(_G516818,_G516821,_G516824):-hnf('RedBlackTree.empty'(partcall(2,'Prelude.==',[]),partcall(2,'Prelude.==',[]),partcall(2,'Prelude.<',[])),_G516818,_G516821,_G516824).

'Set.null'(_G517484,_G517485,_G517486):-freeze(_G517485,'blocked_Set.null'(_G517484,_G517485,_G517486)).
'blocked_Set.null'(_G517522,_G517525,_G517528):-hnf(partcall(1,'RedBlackTree.isEmpty',[]),_G517522,_G517525,_G517528).

'Set.elem'(_G517878,_G517879,_G517880,_G517881):-freeze(_G517880,'blocked_Set.elem'(_G517878,_G517879,_G517880,_G517881)).
'blocked_Set.elem'(_G517916,_G518043,_G518046,_G518049):-hnf('Prelude..'(partcall(1,'Maybe.isJust',[]),partcall(1,'RedBlackTree.lookup',[_G517916])),_G518043,_G518046,_G518049).

'Set.insert'(_G518691,_G518692,_G518693):-freeze(_G518692,'blocked_Set.insert'(_G518691,_G518692,_G518693)).
'blocked_Set.insert'(_G518729,_G518732,_G518735):-hnf(partcall(2,'RedBlackTree.update',[]),_G518729,_G518732,_G518735).

'Set.delete'(_G519124,_G519125,_G519126):-freeze(_G519125,'blocked_Set.delete'(_G519124,_G519125,_G519126)).
'blocked_Set.delete'(_G519162,_G519165,_G519168):-hnf(partcall(2,'RedBlackTree.delete',[]),_G519162,_G519165,_G519168).

'Set.toList'(_G519557,_G519558,_G519559):-freeze(_G519558,'blocked_Set.toList'(_G519557,_G519558,_G519559)).
'blocked_Set.toList'(_G519595,_G519598,_G519601):-hnf(partcall(1,'RedBlackTree.tree2list',[]),_G519595,_G519598,_G519601).

'Set.fromList'(_G520035,_G520036,_G520037):-freeze(_G520036,'blocked_Set.fromList'(_G520035,_G520036,_G520037)).
'blocked_Set.fromList'(_G520153,_G520156,_G520159):-hnf(partcall(1,'Prelude.foldr',['Set.empty','Set.insert']),_G520153,_G520156,_G520159).

'Set.union'(_G520673,_G520674,_G520675,_G520676):-freeze(_G520675,'blocked_Set.union'(_G520673,_G520674,_G520675,_G520676)).
'blocked_Set.union'(_G520711,_G520878,_G520881,_G520884):-hnf('Prelude..'(partcall(1,'Prelude.foldr',[_G520711,'Set.insert']),'Set.toList'),_G520878,_G520881,_G520884).

'Set.intersect'(_G521637,_G521638,_G521639,_G521640,_G521641):-freeze(_G521640,'blocked_Set.intersect'(_G521637,_G521638,_G521639,_G521640,_G521641)).
'blocked_Set.intersect'(_G521680,_G521689,_G522049,_G522052,_G522055):-hnf('Prelude.$'('Set.fromList','Prelude.$'(partcall(1,'Prelude.filter',[partcall(1,'Prelude.flip',[_G521689,partcall(1,'Set.elem',[])])]),'Prelude.apply'('Set.toList',_G521680))),_G522049,_G522052,_G522055).

'Set.disjoint'(_G523235,_G523236,_G523237,_G523238,_G523239):-freeze(_G523238,'blocked_Set.disjoint'(_G523235,_G523236,_G523237,_G523238,_G523239)).
'blocked_Set.disjoint'(_G523278,_G523287,_G523447,_G523450,_G523453):-hnf('Prelude.apply'('Set.null','Set.intersect'(_G523278,_G523287)),_G523447,_G523450,_G523453).

:-costCenters(['']).




%%%%% Number of shared variables: 0
